Dashboard
Dashboard object
- dashboard_idstringOutput only
UUID identifying the dashboard.
- display_namestring
The display name of the dashboard. It is also the file name of the dashboard asset in the workspace, so it must be unique within the parent folder, cannot contain
/, and cannot end with.json,.lvdashor.yml. The display name must not exceed 500 characters.
- pathstringOutput only
The workspace path of the dashboard asset, including the file name. Exported dashboards always have the file extension
.lvdash.json. This field is excluded in List Dashboards responses.
- create_timestringOutput only
The timestamp of when the dashboard was created.
- update_timestringOutput only
The timestamp of when the dashboard was last updated by the user. This field is excluded in List Dashboards responses.
- warehouse_idstring
The warehouse ID used to run the dashboard.
- etagstring
The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.
- serialized_dashboardstring
The dashboard definition (datasets, pages and widgets) as a JSON string, in the same format as a dashboard file exported from the workspace (
.lvdash.json). When omitted on create, an empty dashboard is created; when omitted on update, the existing definition is kept and only the other fields change. Use the get dashboard API on an existing dashboard to see a complete example. This field is excluded in List Dashboards responses.
- lifecycle_statestringOutput only
The state of the dashboard resource. Used for tracking trashed status.
ACTIVETRASHED
- parent_pathstringImmutable
The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. The folder must already exist; when omitted on create, the dashboard is created in the caller's home folder. This field is excluded in List Dashboards responses.
Get dashboard GA
GET
Get a draft dashboard.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the dashboard.
Response
Returns the Dashboard object.
List dashboards GA
GET
List the dashboards that the caller can view. Each entry carries summary metadata only; use Get dashboard to retrieve a dashboard's full definition.
API scopes: dashboards
Parameters
- page_sizeint32[ 1 .. 1000 ]query
The number of dashboards to return per page.
- page_tokenstringquery
A page token, received from a previous
ListDashboardscall. This token can be used to retrieve the subsequent page.
- show_trashedbooleanquery
The flag to include dashboards located in the trash. If unspecified, only active dashboards will be returned.
- viewstringquery
DASHBOARD_VIEW_BASIConly includes summary metadata from the dashboard.DASHBOARD_VIEW_BASIC
Response
Returns a list of Dashboard objects.
Create dashboard GA
POST
Create a draft dashboard.
API scopes: dashboards
Parameters
- dataset_catalogstringquery
Sets the default catalog for all datasets in this dashboard. Does not impact table references that use fully qualified catalog names (ex: samples.nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.
- dataset_schemastringquery
Sets the default schema for all datasets in this dashboard. Does not impact table references that use fully qualified schema names (ex: nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.
Request body
- display_namestringRequired
The display name of the dashboard. It is also the file name of the dashboard asset in the workspace, so it must be unique within the parent folder, cannot contain
/, and cannot end with.json,.lvdashor.yml. The display name must not exceed 500 characters.
- warehouse_idstring
The warehouse ID used to run the dashboard.
- serialized_dashboardstring
The dashboard definition (datasets, pages and widgets) as a JSON string, in the same format as a dashboard file exported from the workspace (
.lvdash.json). When omitted on create, an empty dashboard is created; when omitted on update, the existing definition is kept and only the other fields change. Use the get dashboard API on an existing dashboard to see a complete example. This field is excluded in List Dashboards responses.
- parent_pathstringImmutable
The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. The folder must already exist; when omitted on create, the dashboard is created in the caller's home folder. This field is excluded in List Dashboards responses.
Response
Returns the Dashboard object.
Update dashboard GA
PATCH
Update a draft dashboard.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the dashboard.
- dataset_catalogstringquery
Sets the default catalog for all datasets in this dashboard. Does not impact table references that use fully qualified catalog names (ex: samples.nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.
- dataset_schemastringquery
Sets the default schema for all datasets in this dashboard. Does not impact table references that use fully qualified schema names (ex: nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.
Request body
- display_namestring
The display name of the dashboard. It is also the file name of the dashboard asset in the workspace, so it must be unique within the parent folder, cannot contain
/, and cannot end with.json,.lvdashor.yml. The display name must not exceed 500 characters.
- warehouse_idstring
The warehouse ID used to run the dashboard.
- etagstring
The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.
- serialized_dashboardstring
The dashboard definition (datasets, pages and widgets) as a JSON string, in the same format as a dashboard file exported from the workspace (
.lvdash.json). When omitted on create, an empty dashboard is created; when omitted on update, the existing definition is kept and only the other fields change. Use the get dashboard API on an existing dashboard to see a complete example. This field is excluded in List Dashboards responses.
- parent_pathstringImmutable
The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. The folder must already exist; when omitted on create, the dashboard is created in the caller's home folder. This field is excluded in List Dashboards responses.
Response
Returns the Dashboard object.
Trash dashboard GA
DELETE
Trash a dashboard.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the dashboard.
Migrate dashboard GA
POST
Deprecated
Deprecated: Legacy dashboard migration is no longer supported. Use Lakeview (AI/BI) dashboards instead.
API scopes: dashboards
Request body
- source_dashboard_idstringRequired
UUID of the dashboard to be migrated.
- display_namestring
Display name for the new Lakeview dashboard.
- parent_pathstring
The workspace path of the folder to contain the migrated Lakeview dashboard.
- update_parameter_syntaxboolean
Flag to indicate if mustache parameter syntax ({{ param }}) should be auto-updated to named syntax (:param) when converting datasets in the dashboard.
Response
Returns the Dashboard object.
Publish dashboard GA
POST
Publish the current draft dashboard.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the dashboard to be published.
Request body
- embed_credentialsboolean
Flag to indicate if the publisher's credentials should be embedded in the published dashboard. These embedded credentials will be used to execute the published dashboard's queries.
- warehouse_idstring
The ID of the warehouse that can be used to override the warehouse which was set in the draft.
Response
- display_namestringOutput only
The display name of the published dashboard.
- warehouse_idstring
The ID of the SQL warehouse that runs the published dashboard's queries. It is the warehouse given when the dashboard was published, or the draft's warehouse if none was given.
- embed_credentialsboolean
Whether the publisher's credentials are embedded in the published dashboard. When true, viewers run the dashboard's queries with the publisher's data permissions (shared data permissions); when false, each viewer runs them with their own data permissions.
- revision_create_timestringOutput only
The timestamp of when the current published version was created, that is, when the dashboard was last published.